Application: gvSIG desktop - gvSIG bugs #4621
Can't add event theme from table
08/17/2017 03:31 PM - Antonio Falciano
Target version:

Severity: Major Add-on version:
Has patch: Hito:

Add-on name: Unknown

Description

Steps in order to reproduce the bug:
- add the camaras.csv table, setting:
- ISO-8859-1 as encoding;
- Xand Y as geometry fields;
- EPSG:23030 as CRS.
- create and activate a view;
- click on "Add event theme" button.

Result: the "Apply a transformation" window is empty, no table is available to be added as event theme. (The CSV table is loaded
correctly).

History

#1 - 08/29/2017 01:10 PM - Joaquin del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2835 (rev. org.gvsig.desktop-2.0.202)

#2 - 08/29/2017 01:17 PM - Antonio Falciano

Further info: if | add the table without setting the geometry fields and the CRS in the CSVStoreParameters dialog, then | can set the geometry fields

and the CRS in the transformation wizard and finally add the event theme in the view without problem.

#3 - 08/30/2017 05:12 PM - Antonio Falciano
- Target version deleted (2.4.0-2835 (rev. org.gvsig.desktop-2.0.202))

#4 - 09/11/2017 12:36 PM - Antonio Falciano
- Target version set to 2.5.1-3044

Antonio Falciano wrote:
Steps in order to reproduce the bug: - add the camaras.csv table, setting:
- 1SO-8859-1 as encoding;

- Enylish@¥ \ascgbpatieiny fields;

- EPSG:23030 as CRS.

- create and activate a view;
https://redmine.gvsig.net/redmine/attachments/download/1719/camaras.csv
https://redmine.gvsig.net/redmine/attachments/download/1719/camaras.csv

- click on "Add event theme" button.

Result: the "Apply a transformation” window is empty, no table is available to be added as event theme. (The CSV table is loaded correctly).

Setting also the right localization doesn't help to solve the issue. The "Apply a transformation" dialog is always empty, so it's not possible to add the

event theme.

#5 - 09/11/2017 12:48 PM - Alvaro Anguix

Creo que simplemente al anadirlo como tabla (y no directamente a la Vista), no deberia estar activa la pestana de Geometria.

Si se afade asi, tal y como indica Antonio, permite anadir sin problemas la capa de eventos.

#6 - 09/11/2017 01:05 PM - Antonio Falciano

Alvaro Anguix wrote:

Creo que simplemente al ahadirlo como tabla (y no directamente a la Vista), no deberia estar activa la pestafia de Geometria.

Si se afiade asi, tal y como indica Antonio, permite afiadir sin problemas la capa de eventos.

Hi Alvaro,

I'm agree with you simply because the Geometry tab settings would be redundant with those of the "Apply a transformation" wizard.

#7 - 03/04/2020 12:35 PM - Alvaro Anguix
- Target version deleted (2.5.1-3044)

#8 - 04/16/2020 04:01 PM - Alvaro Anguix
- Status changed from New to Won't fix
